Bug 82109 - Unable to install from PCMCIA CD-ROM on Vaio PCG-C1VN
Unable to install from PCMCIA CD-ROM on Vaio PCG-C1VN
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On: 84701
Blocks: 79578
  Show dependency treegraph
Reported: 2003-01-17 11:58 EST by Linus Torvalds
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-24 20:37:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linus Torvalds 2003-01-17 11:58:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
The install process sees the PCMCIA controller, but is apparently
not able to load the ide-cs driver, so does not see any CD-ROM.

The ide-cs driver isn't available in the list of drivers to select,

And the old-fashioned way - to let the IDE driver take control of
the IDE controller off the PCMCIA bus directly by using the kernel
command line of "ide1=0x180" - doesn't work either, since the fact
that the bootup _does_ see (and reconfigure) the PCMCIA controller
will make it unavailable to the non-PCMCIA IDE driver.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Get a small laptop without built-in CD-ROM or floppy drive
2.Try to boot up using a CD over PCMCIA

Actual Results:  When doing regular install, asking for "local CD-ROM" install, the
install sequence says "Unable to find any device of the type needed",
and gives a list of SCSI drivers to choose from.

When using "ide1=0x180", the kernel finds the CD at bootup, but then
when PCMCIA starts up it will reset and disable the controller, so
then when the install sequence tries to mount the device it hangs.

Expected Results:  PCMCIA just finds the IDE-CS controller. This works fine in
SuSE 8.1
on the very same machine, btw. It's definitely not a kernel limitation,
it's apparently a simple lack of an IDE-CS driver.

Tssk. Not all of us want to lug around 7-pound monster laptops when
we travel the world.

Additional info:

I bet this same thing can be demonstrated on most Sony
thin-and-light notebooks without built-in CD-ROM.

I won't be able to answer further requests for information,
since I'm travelling for the next two weeks.

Fix _should_ be as simple as just installing ide-cs on the CD,
and just telling cardmgr about it!
Comment 1 Linus Torvalds 2003-01-17 12:02:16 EST
Btw, the screen (which has that strange 1024x480 aspect ratio) also ends
up being slightly off, even in regular text-mode. Only half of the last
line is visible once the install starts, even though the machine BIOS boots
in a perfectly normal and visible 80x25 mode. 

Those thin-and-lights are interesting, and used to be hard to install on.
HOWEVER, that should have been fixed with the new in-kernel PCMCIA, and
indeed the SuSE-8.1 install showed that it should all "just work".
Comment 2 Bill Nottingham 2003-01-17 16:05:07 EST
The Phoebe installer was missing 16-bit PCMCIA support, so ide-cs wouldn't
get detected or loaded. This has since been added.
Comment 3 Matt Wilson 2003-01-17 16:32:12 EST
PCMCIA cards will work again in beta 2.
Comment 5 Mike McLean 2003-01-17 18:19:04 EST
The ide-cs problem is still there. The module is present but not in modinfo.

Suggest "ide1=0x180 nopcmcia" as a possible workaround.
Comment 6 Jeremy Katz 2003-01-30 22:12:59 EST
The module is there now so should work
Comment 10 Sarantis Paskalis 2003-02-23 10:12:40 EST
Tried to install in a Vaio PCG-C1VFK with a PCMCIA CDROM with the first phoebe
with similar results.

Now trying with the third phoebe, and the results are the same.  There are
however two different behaviors depending on the kernel options.

If no options are given, the results are the same (asking for install method,
"Unable to find any device of the type needed", and presenting a list of SCSI

When the options "ide1=0x180 nopcmcia" are passed, it passes to the stage where
it asks for a media check, performs the media check, loads X (with a white
background) and freezes there after showing some vertical redish lines.
Comment 11 Mike McLean 2003-02-24 20:37:55 EST
pcmcia cdrom installs are working with -re0224.0

Note You need to log in before you can comment on or make changes to this bug.